Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Updates attributes of a payment batch.
cURL
curl --request PATCH \ --url 'https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}?accountId={{accountId}}' \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "name": "string", "visible": true } '
import requests url = "https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}" payload = { "name": "string", "visible": True } headers = { "Authorization": "<api-key>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: 'string', visible: true}) }; fetch('https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PATCH", CURLOPT_POSTFIELDS => json_encode([ 'name' => 'string', 'visible' => true ]), CURLOPT_HTTPHEADER => [ "Authorization: <api-key>", "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}" payload := strings.NewReader("{\n \"name\": \"string\",\n \"visible\": true\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "<api-key>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.patch("https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}") .header("Authorization", "<api-key>") .header("Content-Type", "application/json") .body("{\n \"name\": \"string\",\n \"visible\": true\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = '<api-key>' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"string\",\n \"visible\": true\n}" response = http.request(request) puts response.read_body
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "string", "name": "string", "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "person" }, "product": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "status": "draft", "visible": true, "visibleAt": "2019-08-24T14:15:22Z", "confirmedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "person" }, "confirmedAt": "2019-08-24T14:15:22Z", "passedMfaCheckAt": "2019-08-24T14:15:22Z", "riskCheckedAt": "2019-08-24T14:15:22Z", "ordersSentAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "alerts": [ { "timestamp": "2019-08-24T14:15:22Z", "type": "Error", "code": "string", "message": "string" } ], "ordersSummary": { "numberOfOrders": 0, "uniqueCurrencyCodes": [ "USD" ] }, "input": { "format": "json", "status": "accepted", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } }
The unique ID of the Payment Batch.
36
The ID of the account to work with.
"F50091"
Body
The name of the Payment Batch.
1 - 256
Whether the payment batch is visible to other API users
OK
The ID of the account the Payment Batch belongs.
16
256
The creator of the payment batch.
Show child attributes
The status of the Payment Batch.
draft
validated
confirmed
started
completed
failed
cancelled
Timestamp indicating when the payment batch was made visible. UTC.
The initiator of the payment batch.
Timestamp indicating when the payment batch was confirmed. UTC.
Timestamp indicating when the payment batch passed MFA check. UTC.
Timestamp indicating when the payment batch was risk checked. UTC.
Timestamp indicating when the orders were sent. UTC.
Timestamp indicating when the payment batch was created. UTC.
Timestamp indicating when the payment batch was updated. UTC.
Was this page helpful?